GET /data/projects/{project_id}/quotas/persons/{person_id}

Get quotas statistics for a person in a project. Supports weighted and raw modes with optional feedback filtering.

Path parameters

  • project_id Required
  • person_id Required

Query parameters

  • count_mode Required
  • studio_id

Responses

  • 200 application/json

    Quotas statistics for shots

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • count integer
      • frames integer
  • 400

    Invalid count_mode or parameter

GET /data/projects/{project_id}/quotas/persons/{person_id}
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/quotas/persons/a24a6ea4-ce75-4665-a070-57453082c25?count_mode=weighted&studio_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/quotas/persons/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "count_mode": "weighted",
    "studio_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/quotas/persons/a24a6ea4-ce75-4665-a070-57453082c25?count_mode=weighted' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "additionalProperty1": {
    "count": 15,
    "frames": 360
  },
  "additionalProperty2": {
    "count": 15,
    "frames": 360
  }
}